Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1218425 - [abrt] firewall-config: wl_log(): python2.7 killed by SIGTRAP
Summary: [abrt] firewall-config: wl_log(): python2.7 killed by SIGTRAP
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:97fd06d58320138b5af991d0b4a...
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2015-05-04 20:59 UTC by Christian Stadelmann
Modified: 2016-04-07 08:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-07 08:26:28 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2015-05-04 20:59 UTC, Christian Stadelmann
no flags Details
File: cgroup (deleted)
2015-05-04 20:59 UTC, Christian Stadelmann
no flags Details
File: core_backtrace (deleted)
2015-05-04 20:59 UTC, Christian Stadelmann
no flags Details
File: dso_list (deleted)
2015-05-04 20:59 UTC, Christian Stadelmann
no flags Details
File: environ (deleted)
2015-05-04 20:59 UTC, Christian Stadelmann
no flags Details
File: limits (deleted)
2015-05-04 20:59 UTC, Christian Stadelmann
no flags Details
File: maps (deleted)
2015-05-04 20:59 UTC, Christian Stadelmann
no flags Details
File: mountinfo (deleted)
2015-05-04 20:59 UTC, Christian Stadelmann
no flags Details
File: namespaces (deleted)
2015-05-04 20:59 UTC, Christian Stadelmann
no flags Details
File: open_fds (deleted)
2015-05-04 20:59 UTC, Christian Stadelmann
no flags Details
File: proc_pid_status (deleted)
2015-05-04 20:59 UTC, Christian Stadelmann
no flags Details

Description Christian Stadelmann 2015-05-04 20:59:03 UTC
Description of problem:
I pressed the menu button "reload firewalld" in the "options" menu of firewall GUI.

Version-Release number of selected component:
firewall-config-0.3.13-5.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/bin/python -Es /usr/bin/firewall-config
crash_function: wl_log
executable:     /usr/bin/python2.7
global_pid:     9740
kernel:         4.0.1-300.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Sa 2014-10-11 21:56:59 CEST, end at Mo 2015-05-04 22:55:13 CEST. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 wl_log at /lib64/libwayland-client.so.0
 #2 wl_closure_marshal at /lib64/libwayland-client.so.0
 #3 wl_proxy_marshal_array_constructor at /lib64/libwayland-client.so.0
 #4 wl_proxy_marshal_constructor at /lib64/libwayland-client.so.0
 #5 gdk_wayland_window_create_subsurface.part at /lib64/libgdk-3.so.0
 #6 gdk_wayland_window_show at /lib64/libgdk-3.so.0
 #7 gdk_window_show_internal at /lib64/libgdk-3.so.0
 #8 gtk_window_map at /lib64/libgtk-3.so.0
 #13 gtk_widget_map at /lib64/libgtk-3.so.0
 #14 gtk_window_show at /lib64/libgtk-3.so.0

Comment 1 Christian Stadelmann 2015-05-04 20:59:07 UTC
Created attachment 1021960 [details]
File: backtrace

Comment 2 Christian Stadelmann 2015-05-04 20:59:08 UTC
Created attachment 1021961 [details]
File: cgroup

Comment 3 Christian Stadelmann 2015-05-04 20:59:10 UTC
Created attachment 1021962 [details]
File: core_backtrace

Comment 4 Christian Stadelmann 2015-05-04 20:59:11 UTC
Created attachment 1021963 [details]
File: dso_list

Comment 5 Christian Stadelmann 2015-05-04 20:59:12 UTC
Created attachment 1021964 [details]
File: environ

Comment 6 Christian Stadelmann 2015-05-04 20:59:14 UTC
Created attachment 1021965 [details]
File: limits

Comment 7 Christian Stadelmann 2015-05-04 20:59:15 UTC
Created attachment 1021966 [details]
File: maps

Comment 8 Christian Stadelmann 2015-05-04 20:59:17 UTC
Created attachment 1021967 [details]
File: mountinfo

Comment 9 Christian Stadelmann 2015-05-04 20:59:18 UTC
Created attachment 1021968 [details]
File: namespaces

Comment 10 Christian Stadelmann 2015-05-04 20:59:19 UTC
Created attachment 1021969 [details]
File: open_fds

Comment 11 Christian Stadelmann 2015-05-04 20:59:20 UTC
Created attachment 1021970 [details]
File: proc_pid_status

Comment 12 Christian Stadelmann 2016-04-07 08:26:28 UTC
Not present any more on Fedora 24. Since this is a wayland-specific issue and wayland is experimental in F22-F24, the fix doesn't need to be backported.


Note You need to log in before you can comment on or make changes to this bug.